[IPython-dev] [Ipython-svndiff] 2688 - use subprocess for ipy_workdir'

Ville M. Vainio vivainio@gmail....
Fri Aug 31 07:43:03 CDT 2007


On 8/30/07, Fernando Perez <fperez.net@gmail.com> wrote:

> > +import os, subprocess
>
> This is a problem: subprocess is a 2.4-only module, and we're trying
> to remain available to 2.3 users.

For extensions, it's not really a problem. Here, the subprocess
doesn't matter much, but e.g. jobctrl extension really needs it.
Usability for ipython proper for 2.3 users is not hampered at all.

Also, subprocess is available as an external module.

Not directly related to this particular issue:

Extensions should be thought of as "contributions that may or may not
be useful", with quality and compatibility requirements to match -
i.e., not much.

-- 
Ville M. Vainio - vivainio.googlepages.com
blog=360.yahoo.com/villevainio - g[mail | talk]='vivainio'


More information about the IPython-dev mailing list